unit fSplash;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Vcl.Imaging.jpeg;

type
  TfrmSplash = class(TForm)
    Panel1: TPanel;
    lblSplash: TStaticText;
    lblVersion: TStaticText;
    lblCopyright: TStaticText;
    Panel2: TPanel;
    Image1: TImage;
    Memo1: TMemo;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSplash: TfrmSplash;

procedure Splash;

implementation

{$R *.DFM}

uses ORSystem, VAUtils;

procedure Splash;
begin
  frmSplash := TfrmSplash.Create(Application);
  frmSplash.lblVersion.Caption := 'v.' + FileVersionValue(Application.ExeName,
    FILE_VER_FILEVERSION); // 2FA
  frmSplash.Show;
  frmSplash.Refresh;
end;

end.
